{
  "format_version": "1.8.0",
  "animations": {
    "animation.crl.four_legs.look_at_target.head2": {
      "loop": true,
      "bones": {
        "head2": {
          "relative_to": {
            "rotation": "entity"
          },
          "rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", 0]
        },
        "main_body": {
          "rotation": [0, "variable.eye_rot_clamp.y * 0.5", 0]
        },
        "leg0": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg1": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg2": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg3": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg_inv0": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv1": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv2": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        },
        "leg_inv3": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        }
      }
    },
    "animation.crl.four_legs.look_at_target": {
      "loop": true,
      "bones": {
        "head": {
          "relative_to": {
            "rotation": "entity"
          },
          "rotation": ["query.target_x_rotation - this", "query.target_y_rotation - this", 0]
        },
        "main_body": {
          "rotation": [0, "variable.eye_rot_clamp.y * 0.5", 0]
        },
        "leg0": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg1": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg2": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg3": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg_inv0": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv1": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv2": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        },
        "leg_inv3": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        }
      }
    },
    "animation.crl.four_legs.look_at_target.no_head": {
      "loop": true,
      "bones": {
        "main_body": {
          "rotation": [0, "variable.eye_rot_clamp.y * 0.5", 0]
        },
        "leg0": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg1": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg2": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg3": {
          "rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
        },
        "leg_inv0": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv1": {
          "rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
        },
        "leg_inv2": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        },
        "leg_inv3": {
          "rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
        }
      }
    },
    "animation.crl.four_legs.walk": {
      "loop": true,
      "animation_length": 4,
      "anim_time_update": "(query.is_in_water || (variable.time_not_in_water < 0.2)) ? query.life_time * 1.5 : (query.modified_distance_moved*0.18*(v.distance_moved_weight ?? 1.0))",
      "blend_weight": "(query.is_in_water || (variable.time_not_in_water < 0.2)) ? 1.0 : (query.modified_move_speed * (v.modified_move_speed_weight ?? 1.0))",
      "bones": {
        "leg0": {
          "rotation": {
            "0.0": {
              "post": [-27.38003, 0.40886, -2.11505],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [29.82494, -1.70731, -3.89766],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [-20.08108, 2.0083, -2.62787],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [28.24566, 1.69841, -0.02799],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [-27.38003, 0.40886, -2.11505],
              "lerp_mode": "catmullrom"
            }
          }
        },
        "leg1": {
          "rotation": {
            "0.0": {
              "post": [32.54898, 1.7966, 3.35088],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [-15.13342, -4.85316, 3.65278],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [32.10466, -6.14235, 4.03349],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [-15.6661, -9.27696, -1.14204],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [32.54898, 1.7966, 3.35088],
              "lerp_mode": "catmullrom"
            }
          }
        },
        "leg2": {
          "rotation": {
            "0.0": {
              "post": [26.73189, -0.09847, -2.69204],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [-28.97341, -12.71385, -0.33001],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [30.75962, 2.2453, -0.63585],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [-32.09973, -8.0216, 8.60212],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [26.73189, -0.09847, -2.69204],
              "lerp_mode": "catmullrom"
            }
          }
        },
        "leg3": {
          "rotation": {
            "0.0": {
              "post": [-34.27023, 2.014, 0.60623],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [30.39177, -5.8239, -1.90821],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [-31.958, 5.41749, 1.7325],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [34.26737, 1.5979, 1.13549],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [-34.27023, 2.014, 0.60623],
              "lerp_mode": "catmullrom"
            }
          }
        },
        "main_body": {
          "rotation": {
            "0.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [4.77571, 0.64503, -5.22768],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [2.5, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [-2.4905, 0.21782, 4.99527],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            }
          },
          "position": {
            "0.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "1.0": {
              "post": [0, -0.75, 0],
              "lerp_mode": "catmullrom"
            },
            "2.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "3.0": {
              "post": [0, -0.25, 0],
              "lerp_mode": "catmullrom"
            },
            "4.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            }
          }
        }
      }
    },
    "animation.crl.four_legs.scale": {
      "loop": "hold_on_last_frame",
      "bones": {
        "main_body": {
          "scale": "(variable.body_scale ?? 1.05)"
        }
      }
    },
    "animation.crl.four_legs.vertical_adjustment": {
      "loop": true,
      "blend_weight": "variable.time_not_in_water > 0.2",
      "bones": {
        "root": {
          "rotation": ["Math.clamp(query.vertical_speed * -4, -90, 90) * (query.distance_from_camera <= 15)", 0, 0]
        }
      }
    },
    "animation.crl.four_legs.idle": {
      "loop": true,
      "animation_length": 2.32,
      "bones": {
        "idle_body": {
          "rotation": {
            "0.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "0.76": {
              "post": [1.50238, 2.49762, 0.10912],
              "lerp_mode": "catmullrom"
            },
            "1.6": {
              "post": [0.50208, -1.5007, -0.01316],
              "lerp_mode": "catmullrom"
            },
            "2.32": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            }
          },
          "position": {
            "0.0": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "0.72": {
              "post": [0, -0.2, 0],
              "lerp_mode": "catmullrom"
            },
            "1.36": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            },
            "1.96": {
              "post": [0, -0.2, 0],
              "lerp_mode": "catmullrom"
            },
            "2.32": {
              "post": [0, 0, 0],
              "lerp_mode": "catmullrom"
            }
          }
        }
      }
    }
  }
}
